use dirs::config_dir;
use std::{error::Error, fs::create_dir_all};

pub fn setup() -> Result<(), Box<dyn Error>> {
    create_default_config_directory()
    // create_default_config_file()
}

fn create_default_config_directory() -> Result<(), Box<dyn Error>> {
    let config_directory = config_dir();
    if config_directory.is_none() {
        panic!("Cannot find system config directory")
    }

    let hostile_directory = config_directory.unwrap().join("hostile");
    if !hostile_directory.exists() {
        create_dir_all(hostile_directory.clone()).expect("Failed to create hostile config directory");

        println!("Created directory at {}", hostile_directory.to_str().unwrap())
    }

    Ok(())
}

// fn create_default_config_file() -> Result<(), Box<dyn Error>> {
//
// }
